diff --git a/admin/src/components/Tables/SearchUserTable.vue b/admin/src/components/Tables/SearchUserTable.vue
index 0be24a099..772160202 100644
--- a/admin/src/components/Tables/SearchUserTable.vue
+++ b/admin/src/components/Tables/SearchUserTable.vue
@@ -18,7 +18,7 @@
 
       <template #cell(status)="row">
         <div class="text-right">
-          <b-avatar v-if="row.item.deletedAt" class="mr-3" variant="light">
+          <b-avatar v-if="row.item.deletedAt" class="mr-3 test-deleted-icon" variant="light">
             <b-iconstack font-scale="2">
               <b-icon stacked icon="person" variant="info" scale="0.75"></b-icon>
               <b-icon stacked icon="slash-circle" variant="danger"></b-icon>
@@ -79,6 +79,9 @@
             <b-tab :title="$t('transactionlink.name')" :disabled="row.item.deletedAt !== null">
               <transaction-link-list v-if="!row.item.deletedAt" :userId="row.item.userId" />
             </b-tab>
+            <b-tab :title="$t('userRole.tabTitle')">
+              <change-user-role-formular :item="row.item" @updateIsAdmin="updateIsAdmin" />
+            </b-tab>
             <b-tab :title="$t('delete_user')">
               <deleted-user-formular :item="row.item" @updateDeletedAt="updateDeletedAt" />
             </b-tab>
@@ -93,6 +96,7 @@ import CreationFormular from '../CreationFormular.vue'
 import ConfirmRegisterMailFormular from '../ConfirmRegisterMailFormular.vue'
 import CreationTransactionList from '../CreationTransactionList.vue'
 import TransactionLinkList from '../TransactionLinkList.vue'
+import ChangeUserRoleFormular from '../ChangeUserRoleFormular.vue'
 import DeletedUserFormular from '../DeletedUserFormular.vue'
 
 export default {
@@ -102,6 +106,7 @@ export default {
     ConfirmRegisterMailFormular,
     CreationTransactionList,
     TransactionLinkList,
+    ChangeUserRoleFormular,
     DeletedUserFormular,
   },
   props: {
@@ -123,6 +128,9 @@ export default {
     updateUserData(rowItem, newCreation) {
       rowItem.creation = newCreation
     },
+    updateIsAdmin({ userId, isAdmin }) {
+      this.$emit('updateIsAdmin', userId, isAdmin)
+    },
     updateDeletedAt({ userId, deletedAt }) {
       this.$emit('updateDeletedAt', userId, deletedAt)
     },
diff --git a/admin/src/components/TransactionLinkList.vue b/admin/src/components/TransactionLinkList.vue
index 0289792a2..d850083cc 100644
--- a/admin/src/components/TransactionLinkList.vue
+++ b/admin/src/components/TransactionLinkList.vue
@@ -11,6 +11,7 @@
       :per-page="perPage"
       :total-rows="rows"
       align="center"
+      :hide-ellipsis="true"
     ></b-pagination>
   </div>
 </template>
diff --git a/admin/src/graphql/adminCreateContribution.js b/admin/src/graphql/adminCreateContribution.js
new file mode 100644
index 000000000..5ee409c67
--- /dev/null
+++ b/admin/src/graphql/adminCreateContribution.js
@@ -0,0 +1,12 @@
+import gql from 'graphql-tag'
+
+export const adminCreateContribution = gql`
+  mutation ($email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
+    adminCreateContribution(
+      email: $email
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    )
+  }
+`
diff --git a/admin/src/graphql/adminCreateContributions.js b/admin/src/graphql/adminCreateContributions.js
new file mode 100644
index 000000000..20831975c
--- /dev/null
+++ b/admin/src/graphql/adminCreateContributions.js
@@ -0,0 +1,11 @@
+import gql from 'graphql-tag'
+
+export const adminCreateContributions = gql`
+  mutation ($pendingCreations: [AdminCreateContributionArgs!]!) {
+    adminCreateContributions(pendingCreations: $pendingCreations) {
+      success
+      successfulContribution
+      failedContribution
+    }
+  }
+`
diff --git a/admin/src/graphql/adminDeleteContribution.js b/admin/src/graphql/adminDeleteContribution.js
new file mode 100644
index 000000000..0aed494e1
--- /dev/null
+++ b/admin/src/graphql/adminDeleteContribution.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const adminDeleteContribution = gql`
+  mutation ($id: Int!) {
+    adminDeleteContribution(id: $id)
+  }
+`
diff --git a/admin/src/graphql/updatePendingCreation.js b/admin/src/graphql/adminUpdateContribution.js
similarity index 80%
rename from admin/src/graphql/updatePendingCreation.js
rename to admin/src/graphql/adminUpdateContribution.js
index f0775e68b..b7c834109 100644
--- a/admin/src/graphql/updatePendingCreation.js
+++ b/admin/src/graphql/adminUpdateContribution.js
@@ -1,8 +1,8 @@
 import gql from 'graphql-tag'
 
-export const updatePendingCreation = gql`
+export const adminUpdateContribution = gql`
   mutation ($id: Int!, $email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    updatePendingCreation(
+    adminUpdateContribution(
       id: $id
       email: $email
       amount: $amount
diff --git a/admin/src/graphql/confirmContribution.js b/admin/src/graphql/confirmContribution.js
new file mode 100644
index 000000000..7b5aa58cc
--- /dev/null
+++ b/admin/src/graphql/confirmContribution.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const confirmContribution = gql`
+  mutation ($id: Int!) {
+    confirmContribution(id: $id)
+  }
+`
diff --git a/admin/src/graphql/createContributionLink.js b/admin/src/graphql/createContributionLink.js
new file mode 100644
index 000000000..fb6728243
--- /dev/null
+++ b/admin/src/graphql/createContributionLink.js
@@ -0,0 +1,27 @@
+import gql from 'graphql-tag'
+
+export const createContributionLink = gql`
+  mutation (
+    $validFrom: String!
+    $validTo: String!
+    $name: String!
+    $amount: Decimal!
+    $memo: String!
+    $cycle: String!
+    $maxPerCycle: Int! = 1
+    $maxAmountPerMonth: Decimal
+  ) {
+    createContributionLink(
+      validFrom: $validFrom
+      validTo: $validTo
+      name: $name
+      amount: $amount
+      memo: $memo
+      cycle: $cycle
+      maxPerCycle: $maxPerCycle
+      maxAmountPerMonth: $maxAmountPerMonth
+    ) {
+      link
+    }
+  }
+`
diff --git a/admin/src/graphql/deleteContributionLink.js b/admin/src/graphql/deleteContributionLink.js
new file mode 100644
index 000000000..d0a938627
--- /dev/null
+++ b/admin/src/graphql/deleteContributionLink.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const deleteContributionLink = gql`
+  mutation ($id: Int!) {
+    deleteContributionLink(id: $id)
+  }
+`
diff --git a/admin/src/graphql/listContributionLinks.js b/admin/src/graphql/listContributionLinks.js
new file mode 100644
index 000000000..7ce4b04e6
--- /dev/null
+++ b/admin/src/graphql/listContributionLinks.js
@@ -0,0 +1,23 @@
+import gql from 'graphql-tag'
+
+export const listContributionLinks = gql`
+  query ($currentPage: Int = 1, $pageSize: Int = 25, $order: Order = DESC) {
+    listContributionLinks(currentPage: $currentPage, pageSize: $pageSize, order: $order) {
+      links {
+        id
+        amount
+        name
+        memo
+        code
+        link
+        createdAt
+        validFrom
+        validTo
+        maxAmountPerMonth
+        cycle
+        maxPerCycle
+      }
+      count
+    }
+  }
+`
diff --git a/admin/src/graphql/getPendingCreations.js b/admin/src/graphql/listUnconfirmedContributions.js
similarity index 67%
rename from admin/src/graphql/getPendingCreations.js
rename to admin/src/graphql/listUnconfirmedContributions.js
index 86b1965c8..c31347468 100644
--- a/admin/src/graphql/getPendingCreations.js
+++ b/admin/src/graphql/listUnconfirmedContributions.js
@@ -1,8 +1,8 @@
 import gql from 'graphql-tag'
 
-export const getPendingCreations = gql`
+export const listUnconfirmedContributions = gql`
   query {
-    getPendingCreations {
+    listUnconfirmedContributions {
       id
       firstName
       lastName
diff --git a/admin/src/graphql/searchUsers.js b/admin/src/graphql/searchUsers.js
index cc7f83b1c..3e33fe96b 100644
--- a/admin/src/graphql/searchUsers.js
+++ b/admin/src/graphql/searchUsers.js
@@ -19,6 +19,7 @@ export const searchUsers = gql`
         hasElopage
         emailConfirmationSend
         deletedAt
+        isAdmin
       }
     }
   }
diff --git a/admin/src/graphql/setUserRole.js b/admin/src/graphql/setUserRole.js
new file mode 100644
index 000000000..8cdcab396
--- /dev/null
+++ b/admin/src/graphql/setUserRole.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const setUserRole = gql`
+  mutation ($userId: Int!, $isAdmin: Boolean!) {
+    setUserRole(userId: $userId, isAdmin: $isAdmin)
+  }
+`
diff --git a/admin/src/graphql/showContributionLink.js b/admin/src/graphql/showContributionLink.js
new file mode 100644
index 000000000..8042db6b5
--- /dev/null
+++ b/admin/src/graphql/showContributionLink.js
@@ -0,0 +1,18 @@
+import gql from 'graphql-tag'
+
+export const showContributionLink = gql`
+  query ($id: Int!) {
+    showContributionLink {
+      id
+      validFrom
+      validTo
+      name
+      memo
+      amount
+      cycle
+      maxPerCycle
+      maxAmountPerMonth
+      code
+    }
+  }
+`
diff --git a/admin/src/pages/Creation.vue b/admin/src/pages/Creation.vue
index 9e554ff92..26d44fd3e 100644
--- a/admin/src/pages/Creation.vue
+++ b/admin/src/pages/Creation.vue
@@ -29,6 +29,7 @@
           per-page="perPage"
           :total-rows="rows"
           align="center"
+          :hide-ellipsis="true"
         ></b-pagination>
       </b-col>
       <b-col cols="12" lg="6" class="shadow p-3 mb-5 rounded bg-info">
diff --git a/admin/src/pages/CreationConfirm.spec.js b/admin/src/pages/CreationConfirm.spec.js
index 6df60378c..352eba809 100644
--- a/admin/src/pages/CreationConfirm.spec.js
+++ b/admin/src/pages/CreationConfirm.spec.js
@@ -1,7 +1,7 @@
 import { mount } from '@vue/test-utils'
 import CreationConfirm from './CreationConfirm.vue'
-import { deletePendingCreation } from '../graphql/deletePendingCreation'
-import { confirmPendingCreation } from '../graphql/confirmPendingCreation'
+import { adminDeleteContribution } from '../graphql/adminDeleteContribution'
+import { confirmContribution } from '../graphql/confirmContribution'
 import { toastErrorSpy, toastSuccessSpy } from '../../test/testSetup'
 
 const localVue = global.localVue
@@ -9,7 +9,7 @@ const localVue = global.localVue
 const storeCommitMock = jest.fn()
 const apolloQueryMock = jest.fn().mockResolvedValue({
   data: {
-    getPendingCreations: [
+    listUnconfirmedContributions: [
       {
         id: 1,
         firstName: 'Bibi',
@@ -18,7 +18,7 @@ const apolloQueryMock = jest.fn().mockResolvedValue({
         amount: 500,
         memo: 'Danke für alles',
         date: new Date(),
-        moderator: 0,
+        moderator: 2,
       },
       {
         id: 2,
@@ -28,7 +28,7 @@ const apolloQueryMock = jest.fn().mockResolvedValue({
         amount: 1000000,
         memo: 'Gut Ergattert',
         date: new Date(),
-        moderator: 0,
+        moderator: 2,
       },
     ],
   },
@@ -80,28 +80,54 @@ describe('CreationConfirm', () => {
     })
 
     describe('remove creation with success', () => {
-      beforeEach(async () => {
-        await wrapper.findAll('tr').at(1).findAll('button').at(0).trigger('click')
-      })
+      let spy
 
-      it('calls the deletePendingCreation mutation', () => {
-        expect(apolloMutateMock).toBeCalledWith({
-          mutation: deletePendingCreation,
-          variables: { id: 1 },
+      describe('admin confirms deletion', () => {
+        beforeEach(async () => {
+          spy = jest.spyOn(wrapper.vm.$bvModal, 'msgBoxConfirm')
+          spy.mockImplementation(() => Promise.resolve('some value'))
+          await wrapper.findAll('tr').at(1).findAll('button').at(0).trigger('click')
+        })
+
+        it('opens a modal', () => {
+          expect(spy).toBeCalled()
+        })
+
+        it('calls the adminDeleteContribution mutation', () => {
+          expect(apolloMutateMock).toBeCalledWith({
+            mutation: adminDeleteContribution,
+            variables: { id: 1 },
+          })
+        })
+
+        it('commits openCreationsMinus to store', () => {
+          expect(storeCommitMock).toBeCalledWith('openCreationsMinus', 1)
+        })
+
+        it('toasts a success message', () => {
+          expect(toastSuccessSpy).toBeCalledWith('creation_form.toasted_delete')
         })
       })
 
-      it('commits openCreationsMinus to store', () => {
-        expect(storeCommitMock).toBeCalledWith('openCreationsMinus', 1)
-      })
+      describe('admin cancels deletion', () => {
+        beforeEach(async () => {
+          spy = jest.spyOn(wrapper.vm.$bvModal, 'msgBoxConfirm')
+          spy.mockImplementation(() => Promise.resolve(false))
+          await wrapper.findAll('tr').at(1).findAll('button').at(0).trigger('click')
+        })
 
-      it('toasts a success message', () => {
-        expect(toastSuccessSpy).toBeCalledWith('creation_form.toasted_delete')
+        it('does not call the adminDeleteContribution mutation', () => {
+          expect(apolloMutateMock).not.toBeCalled()
+        })
       })
     })
 
     describe('remove creation with error', () => {
+      let spy
+
       beforeEach(async () => {
+        spy = jest.spyOn(wrapper.vm.$bvModal, 'msgBoxConfirm')
+        spy.mockImplementation(() => Promise.resolve('some value'))
         apolloMutateMock.mockRejectedValue({ message: 'Ouchhh!' })
         await wrapper.findAll('tr').at(1).findAll('button').at(0).trigger('click')
       })
@@ -141,9 +167,9 @@ describe('CreationConfirm', () => {
             await wrapper.find('#overlay').findAll('button').at(1).trigger('click')
           })
 
-          it('calls the confirmPendingCreation mutation', () => {
+          it('calls the confirmContribution mutation', () => {
             expect(apolloMutateMock).toBeCalledWith({
-              mutation: confirmPendingCreation,
+              mutation: confirmContribution,
               variables: { id: 2 },
             })
           })
diff --git a/admin/src/pages/CreationConfirm.vue b/admin/src/pages/CreationConfirm.vue
index 26928fb67..c07e6b351 100644
--- a/admin/src/pages/CreationConfirm.vue
+++ b/admin/src/pages/CreationConfirm.vue
@@ -15,9 +15,9 @@
 <script>
 import Overlay from '../components/Overlay.vue'
 import OpenCreationsTable from '../components/Tables/OpenCreationsTable.vue'
-import { getPendingCreations } from '../graphql/getPendingCreations'
-import { deletePendingCreation } from '../graphql/deletePendingCreation'
-import { confirmPendingCreation } from '../graphql/confirmPendingCreation'
+import { listUnconfirmedContributions } from '../graphql/listUnconfirmedContributions'
+import { adminDeleteContribution } from '../graphql/adminDeleteContribution'
+import { confirmContribution } from '../graphql/confirmContribution'
 
 export default {
   name: 'CreationConfirm',
@@ -34,25 +34,28 @@ export default {
   },
   methods: {
     removeCreation(item) {
-      this.$apollo
-        .mutate({
-          mutation: deletePendingCreation,
-          variables: {
-            id: item.id,
-          },
-        })
-        .then((result) => {
-          this.updatePendingCreations(item.id)
-          this.toastSuccess(this.$t('creation_form.toasted_delete'))
-        })
-        .catch((error) => {
-          this.toastError(error.message)
-        })
+      this.$bvModal.msgBoxConfirm(this.$t('creation_form.deleteNow')).then(async (value) => {
+        if (value)
+          await this.$apollo
+            .mutate({
+              mutation: adminDeleteContribution,
+              variables: {
+                id: item.id,
+              },
+            })
+            .then((result) => {
+              this.updatePendingCreations(item.id)
+              this.toastSuccess(this.$t('creation_form.toasted_delete'))
+            })
+            .catch((error) => {
+              this.toastError(error.message)
+            })
+      })
     },
     confirmCreation() {
       this.$apollo
         .mutate({
-          mutation: confirmPendingCreation,
+          mutation: confirmContribution,
           variables: {
             id: this.item.id,
           },
@@ -70,13 +73,13 @@ export default {
     getPendingCreations() {
       this.$apollo
         .query({
-          query: getPendingCreations,
+          query: listUnconfirmedContributions,
           fetchPolicy: 'network-only',
         })
         .then((result) => {
           this.$store.commit('resetOpenCreations')
-          this.pendingCreations = result.data.getPendingCreations
-          this.$store.commit('setOpenCreations', result.data.getPendingCreations.length)
+          this.pendingCreations = result.data.listUnconfirmedContributions
+          this.$store.commit('setOpenCreations', result.data.listUnconfirmedContributions.length)
         })
         .catch((error) => {
           this.toastError(error.message)
@@ -114,7 +117,7 @@ export default {
           },
         },
         { key: 'moderator', label: this.$t('moderator') },
-        { key: 'edit_creation', label: this.$t('edit') },
+        { key: 'editCreation', label: this.$t('edit') },
         { key: 'confirm', label: this.$t('save') },
       ]
     },
diff --git a/admin/src/pages/Overview.spec.js b/admin/src/pages/Overview.spec.js
index b3d720d5c..cc5a0c3a5 100644
--- a/admin/src/pages/Overview.spec.js
+++ b/admin/src/pages/Overview.spec.js
@@ -5,7 +5,7 @@ const localVue = global.localVue
 
 const apolloQueryMock = jest.fn().mockResolvedValue({
   data: {
-    getPendingCreations: [
+    listUnconfirmedContributions: [
       {
         pending: true,
       },
@@ -46,7 +46,7 @@ describe('Overview', () => {
       wrapper = Wrapper()
     })
 
-    it('calls getPendingCreations', () => {
+    it('calls listUnconfirmedContributions', () => {
       expect(apolloQueryMock).toBeCalled()
     })
 
diff --git a/admin/src/pages/Overview.vue b/admin/src/pages/Overview.vue
index ed7ac8ad7..69aa15c1a 100644
--- a/admin/src/pages/Overview.vue
+++ b/admin/src/pages/Overview.vue
@@ -28,27 +28,54 @@
         </b-link>
       </b-card-text>
     </b-card>
+    <contribution-link :items="items" :count="count" />
   </div>
 </template>
 <script>
-import { getPendingCreations } from '../graphql/getPendingCreations'
+import { listContributionLinks } from '@/graphql/listContributionLinks.js'
+import ContributionLink from '../components/ContributionLink.vue'
+import { listUnconfirmedContributions } from '../graphql/listUnconfirmedContributions'
 
 export default {
   name: 'overview',
+  components: {
+    ContributionLink,
+  },
+  data() {
+    return {
+      items: [],
+      count: 0,
+    }
+  },
   methods: {
     async getPendingCreations() {
       this.$apollo
         .query({
-          query: getPendingCreations,
+          query: listUnconfirmedContributions,
           fetchPolicy: 'network-only',
         })
         .then((result) => {
-          this.$store.commit('setOpenCreations', result.data.getPendingCreations.length)
+          this.$store.commit('setOpenCreations', result.data.listUnconfirmedContributions.length)
+        })
+    },
+    async getContributionLinks() {
+      this.$apollo
+        .query({
+          query: listContributionLinks,
+          fetchPolicy: 'network-only',
+        })
+        .then((result) => {
+          this.count = result.data.listContributionLinks.count
+          this.items = result.data.listContributionLinks.links
+        })
+        .catch(() => {
+          this.toastError('listContributionLinks has no result, use default data')
         })
     },
   },
   created() {
     this.getPendingCreations()
+    this.getContributionLinks()
   },
 }
 </script>
diff --git a/admin/src/pages/UserSearch.spec.js b/admin/src/pages/UserSearch.spec.js
index 7d8be648f..1020d2b00 100644
--- a/admin/src/pages/UserSearch.spec.js
+++ b/admin/src/pages/UserSearch.spec.js
@@ -199,14 +199,43 @@ describe('UserSearch', () => {
       })
     })
 
+    describe('change user role', () => {
+      const userId = 4
+
+      describe('to admin', () => {
+        it('updates user role to admin', async () => {
+          await wrapper
+            .findComponent({ name: 'SearchUserTable' })
+            .vm.$emit('updateIsAdmin', userId, new Date())
+          expect(wrapper.vm.searchResult.find((obj) => obj.userId === userId).isAdmin).toEqual(
+            expect.any(Date),
+          )
+        })
+      })
+
+      describe('to usual user', () => {
+        it('updates user role to usual user', async () => {
+          await wrapper
+            .findComponent({ name: 'SearchUserTable' })
+            .vm.$emit('updateIsAdmin', userId, null)
+          expect(wrapper.vm.searchResult.find((obj) => obj.userId === userId).isAdmin).toEqual(null)
+        })
+      })
+    })
+
     describe('delete user', () => {
-      const now = new Date()
-      beforeEach(async () => {
-        wrapper.findComponent({ name: 'SearchUserTable' }).vm.$emit('updateDeletedAt', 4, now)
+      const userId = 4
+      beforeEach(() => {
+        wrapper
+          .findComponent({ name: 'SearchUserTable' })
+          .vm.$emit('updateDeletedAt', userId, new Date())
       })
 
       it('marks the user as deleted', () => {
-        expect(wrapper.vm.searchResult.find((obj) => obj.userId === 4).deletedAt).toEqual(now)
+        expect(wrapper.vm.searchResult.find((obj) => obj.userId === userId).deletedAt).toEqual(
+          expect.any(Date),
+        )
+        expect(wrapper.find('.test-deleted-icon').exists()).toBe(true)
       })
 
       it('toasts a success message', () => {
diff --git a/admin/src/pages/UserSearch.vue b/admin/src/pages/UserSearch.vue
index f1ca31d14..df49526d7 100644
--- a/admin/src/pages/UserSearch.vue
+++ b/admin/src/pages/UserSearch.vue
@@ -42,6 +42,7 @@
       type="PageUserSearch"
       :items="searchResult"
       :fields="fields"
+      @updateIsAdmin="updateIsAdmin"
       @updateDeletedAt="updateDeletedAt"
     />
     <b-pagination
@@ -51,6 +52,7 @@
       per-page="perPage"
       :total-rows="rows"
       align="center"
+      :hide-ellipsis="true"
     ></b-pagination>
     <div></div>
   </div>
@@ -111,6 +113,9 @@ export default {
           this.toastError(error.message)
         })
     },
+    updateIsAdmin(userId, isAdmin) {
+      this.searchResult.find((obj) => obj.userId === userId).isAdmin = isAdmin
+    },
     updateDeletedAt(userId, deletedAt) {
       this.searchResult.find((obj) => obj.userId === userId).deletedAt = deletedAt
       this.toastSuccess(deletedAt ? this.$t('user_deleted') : this.$t('user_recovered'))
diff --git a/backend/.env.dist b/backend/.env.dist
index 62b786456..69b1d6a46 100644
--- a/backend/.env.dist
+++ b/backend/.env.dist
@@ -1,9 +1,9 @@
-CONFIG_VERSION=v6.2022-04-21
+CONFIG_VERSION=v9.2022-07-07
 
 # Server
 PORT=4000
 JWT_SECRET=secret123
-JWT_EXPIRES_IN=30m
+JWT_EXPIRES_IN=10m
 GRAPHIQL=false
 GDT_API_URL=https://gdt.gradido.net
 
@@ -28,6 +28,7 @@ COMMUNITY_NAME=Gradido Entwicklung
 COMMUNITY_URL=http://localhost/
 COMMUNITY_REGISTER_URL=http://localhost/register
 COMMUNITY_REDEEM_URL=http://localhost/redeem/{code}
+COMMUNITY_REDEEM_CONTRIBUTION_URL=http://localhost/redeem/CL-{code}
 COMMUNITY_DESCRIPTION=Die lokale Entwicklungsumgebung von Gradido.
 
 # Login Server
@@ -51,6 +52,9 @@ EMAIL_CODE_REQUEST_TIME=10
 # Webhook
 WEBHOOK_ELOPAGE_SECRET=secret
 
+# EventProtocol
+EVENT_PROTOCOL_DISABLED=false
+
 # SET LOG LEVEL AS NEEDED IN YOUR .ENV
 # POSSIBLE VALUES: all | trace | debug | info | warn | error | fatal
 # LOG_LEVEL=info
diff --git a/backend/.env.template b/backend/.env.template
index 140ec67e9..beaa256ef 100644
--- a/backend/.env.template
+++ b/backend/.env.template
@@ -27,6 +27,7 @@ COMMUNITY_NAME=$COMMUNITY_NAME
 COMMUNITY_URL=$COMMUNITY_URL
 COMMUNITY_REGISTER_URL=$COMMUNITY_REGISTER_URL
 COMMUNITY_REDEEM_URL=$COMMUNITY_REDEEM_URL
+COMMUNITY_REDEEM_CONTRIBUTION_URL=$COMMUNITY_REDEEM_CONTRIBUTION_URL
 COMMUNITY_DESCRIPTION=$COMMUNITY_DESCRIPTION
 
 # Login Server
@@ -42,9 +43,13 @@ EMAIL_SMTP_URL=$EMAIL_SMTP_URL
 EMAIL_SMTP_PORT=587
 EMAIL_LINK_VERIFICATION=$EMAIL_LINK_VERIFICATION
 EMAIL_LINK_SETPASSWORD=$EMAIL_LINK_SETPASSWORD
+EMAIL_LINK_FORGOTPASSWORD=$EMAIL_LINK_FORGOTPASSWORD
 EMAIL_LINK_OVERVIEW=$EMAIL_LINK_OVERVIEW
 EMAIL_CODE_VALID_TIME=$EMAIL_CODE_VALID_TIME
 EMAIL_CODE_REQUEST_TIME=$EMAIL_CODE_REQUEST_TIME
 
 # Webhook
 WEBHOOK_ELOPAGE_SECRET=$WEBHOOK_ELOPAGE_SECRET
+
+# EventProtocol
+EVENT_PROTOCOL_DISABLED=$EVENT_PROTOCOL_DISABLED
diff --git a/backend/src/auth/RIGHTS.ts b/backend/src/auth/RIGHTS.ts
index 8188b3daa..d5e2cc7ce 100644
--- a/backend/src/auth/RIGHTS.ts
+++ b/backend/src/auth/RIGHTS.ts
@@ -25,16 +25,27 @@ export enum RIGHTS {
   REDEEM_TRANSACTION_LINK = 'REDEEM_TRANSACTION_LINK',
   LIST_TRANSACTION_LINKS = 'LIST_TRANSACTION_LINKS',
   GDT_BALANCE = 'GDT_BALANCE',
+  CREATE_CONTRIBUTION = 'CREATE_CONTRIBUTION',
+  DELETE_CONTRIBUTION = 'DELETE_CONTRIBUTION',
+  LIST_CONTRIBUTIONS = 'LIST_CONTRIBUTIONS',
+  LIST_ALL_CONTRIBUTIONS = 'LIST_ALL_CONTRIBUTIONS',
+  UPDATE_CONTRIBUTION = 'UPDATE_CONTRIBUTION',
   // Admin
   SEARCH_USERS = 'SEARCH_USERS',
-  CREATE_PENDING_CREATION = 'CREATE_PENDING_CREATION',
-  UPDATE_PENDING_CREATION = 'UPDATE_PENDING_CREATION',
-  SEARCH_PENDING_CREATION = 'SEARCH_PENDING_CREATION',
-  DELETE_PENDING_CREATION = 'DELETE_PENDING_CREATION',
-  CONFIRM_PENDING_CREATION = 'CONFIRM_PENDING_CREATION',
-  SEND_ACTIVATION_EMAIL = 'SEND_ACTIVATION_EMAIL',
+  SET_USER_ROLE = 'SET_USER_ROLE',
   DELETE_USER = 'DELETE_USER',
   UNDELETE_USER = 'UNDELETE_USER',
+  ADMIN_CREATE_CONTRIBUTION = 'ADMIN_CREATE_CONTRIBUTION',
+  ADMIN_CREATE_CONTRIBUTIONS = 'ADMIN_CREATE_CONTRIBUTIONS',
+  ADMIN_UPDATE_CONTRIBUTION = 'ADMIN_UPDATE_CONTRIBUTION',
+  ADMIN_DELETE_CONTRIBUTION = 'ADMIN_DELETE_CONTRIBUTION',
+  LIST_UNCONFIRMED_CONTRIBUTIONS = 'LIST_UNCONFIRMED_CONTRIBUTIONS',
+  CONFIRM_CONTRIBUTION = 'CONFIRM_CONTRIBUTION',
+  SEND_ACTIVATION_EMAIL = 'SEND_ACTIVATION_EMAIL',
   CREATION_TRANSACTION_LIST = 'CREATION_TRANSACTION_LIST',
   LIST_TRANSACTION_LINKS_ADMIN = 'LIST_TRANSACTION_LINKS_ADMIN',
+  CREATE_CONTRIBUTION_LINK = 'CREATE_CONTRIBUTION_LINK',
+  LIST_CONTRIBUTION_LINKS = 'LIST_CONTRIBUTION_LINKS',
+  DELETE_CONTRIBUTION_LINK = 'DELETE_CONTRIBUTION_LINK',
+  UPDATE_CONTRIBUTION_LINK = 'UPDATE_CONTRIBUTION_LINK',
 }
diff --git a/backend/src/auth/ROLES.ts b/backend/src/auth/ROLES.ts
index 891fe1844..9dcba0a4b 100644
--- a/backend/src/auth/ROLES.ts
+++ b/backend/src/auth/ROLES.ts
@@ -23,6 +23,11 @@ export const ROLE_USER = new Role('user', [
   RIGHTS.REDEEM_TRANSACTION_LINK,
   RIGHTS.LIST_TRANSACTION_LINKS,
   RIGHTS.GDT_BALANCE,
+  RIGHTS.CREATE_CONTRIBUTION,
+  RIGHTS.DELETE_CONTRIBUTION,
+  RIGHTS.LIST_CONTRIBUTIONS,
+  RIGHTS.LIST_ALL_CONTRIBUTIONS,
+  RIGHTS.UPDATE_CONTRIBUTION,
 ])
 export const ROLE_ADMIN = new Role('admin', Object.values(RIGHTS)) // all rights
 
diff --git a/backend/src/config/index.ts b/backend/src/config/index.ts
index 5736e6d8a..f44aa584c 100644
--- a/backend/src/config/index.ts
+++ b/backend/src/config/index.ts
@@ -10,14 +10,14 @@ Decimal.set({
 })
 
 const constants = {
-  DB_VERSION: '0038-add_contribution_links_table',
+  DB_VERSION: '0044-insert_missing_contributions',
   DECAY_START_TIME: new Date('2021-05-13 17:46:31-0000'), // GMT+0
   LOG4JS_CONFIG: 'log4js-config.json',
   // default log level on production should be info
   LOG_LEVEL: process.env.LOG_LEVEL || 'info',
   CONFIG_VERSION: {
     DEFAULT: 'DEFAULT',
-    EXPECTED: 'v6.2022-04-21',
+    EXPECTED: 'v9.2022-07-07',
     CURRENT: '',
   },
 }
@@ -25,7 +25,7 @@ const constants = {
 const server = {
   PORT: process.env.PORT || 4000,
   JWT_SECRET: process.env.JWT_SECRET || 'secret123',
-  JWT_EXPIRES_IN: process.env.JWT_EXPIRES_IN || '30m',
+  JWT_EXPIRES_IN: process.env.JWT_EXPIRES_IN || '10m',
   GRAPHIQL: process.env.GRAPHIQL === 'true' || false,
   GDT_API_URL: process.env.GDT_API_URL || 'https://gdt.gradido.net',
   PRODUCTION: process.env.NODE_ENV === 'production' || false,
@@ -54,6 +54,8 @@ const community = {
   COMMUNITY_URL: process.env.COMMUNITY_URL || 'http://localhost/',
   COMMUNITY_REGISTER_URL: process.env.COMMUNITY_REGISTER_URL || 'http://localhost/register',
   COMMUNITY_REDEEM_URL: process.env.COMMUNITY_REDEEM_URL || 'http://localhost/redeem/{code}',
+  COMMUNITY_REDEEM_CONTRIBUTION_URL:
+    process.env.COMMUNITY_REDEEM_CONTRIBUTION_URL || 'http://localhost/redeem/CL-{code}',
   COMMUNITY_DESCRIPTION:
     process.env.COMMUNITY_DESCRIPTION || 'Die lokale Entwicklungsumgebung von Gradido.',
 }
@@ -92,6 +94,11 @@ const webhook = {
   WEBHOOK_ELOPAGE_SECRET: process.env.WEBHOOK_ELOPAGE_SECRET || 'secret',
 }
 
+const eventProtocol = {
+  // global switch to enable writing of EventProtocol-Entries
+  EVENT_PROTOCOL_DISABLED: process.env.EVENT_PROTOCOL_DISABLED === 'true' || false,
+}
+
 // This is needed by graphql-directive-auth
 process.env.APP_SECRET = server.JWT_SECRET
 
@@ -116,6 +123,7 @@ const CONFIG = {
   ...email,
   ...loginServer,
   ...webhook,
+  ...eventProtocol,
 }
 
 export default CONFIG
